package org.springblade.party.feign;

import org.springblade.party.entity.BranchRelation;
import org.springblade.party.vo.BranchRelationVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class BranchRelationClientFallback implements IBranchRelationClient {
            /**
         * 详情
         */
        @Override
        public BranchRelationVO detail(BranchRelation branchRelation) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<BranchRelationVO> list(BranchRelation branchRelation) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( BranchRelation branchRelation) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( BranchRelation branchRelation) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( BranchRelation branchRelation) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
